@import url("https://fonts.googleapis.com/css2?family=Inria+Serif:wght@700&display=swap");
/* final */
body {
  background-color: #000000;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
  scroll-behavior: smooth;
}
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 99%;
  padding: 10px 10px;
  display: flex;
  justify-content: space-between;
  gap: 30px;
  align-items: center;
  background-color: rgb(0, 0, 0);
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  z-index: 10;
}
.logo1 {
  width: 142px;
  height: auto;
  user-select: none;
  pointer-events: none;
}

#nav-links {
  display: flex;
  gap: 80px;
}

#nav-links a {
  text-decoration: none;
  color: #fff;
  font-size: 24px;
  font-weight: 200;
  transition: color 0.3s ease;
}

#nav-links a:hover {
  color: #c74441;
}

.cart-wrapper {
  display: flex;
  align-items: center;
}

.cart-btn {
  display: flex;
  align-items: center;
  background-color: #c74441;
  color: white;
  padding: 10px 6px 10px 23px;
  font-size: 16px;
  font-weight: bold;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  width: 173px;
  height: 56px;
  justify-content: space-between;
}

h3 {
  font-size: 24px;
}

.circle {
  width: 45px;
  height: 45px;
  background-color: white;
  color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  border-radius: 50%;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.cart-btn:hover {
  background-color: #742220;
}

.cart-btn:hover .circle {
  background-color: black;
  color: white;
}

.hamburger {
  display: none;
  font-size: 22px;
  color: white;
  cursor: pointer;
}
.fas.fa-shopping-cart.custom-icon {
  color: #c74441;
}

.hero-image img {
  width: 100%;
  height: auto;
  display: block;
  user-select: none;
  pointer-events: none;
}
.trending-container {
  background-color: #161616;
  padding: 20px 20px;
  text-align: center;
}

.trending-title {
  font-family: "Inria Serif", serif;
  font-weight: 700;
  font-size: 32px;
  margin-bottom: 40px;
  color: aliceblue;
}
.cards-wrapper {
  position: relative;
  top: -30px;
  display: grid;
  grid-template-columns: repeat(
    auto-fit,
    minmax(200px, 1fr)
  ); /* responsive columns */
  gap: 1.5rem;
  padding: 2rem;
  max-width: 2000px;
  margin: 0 auto;
}

.card {
  width: 200px;
  height: auto;
  background-color: #ffffff;
  border-radius: 16px;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.08);
  padding: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  transition: transform 0.2s ease;
}

.card .code {
  color: #8d929c;
  font-size: 18px;
  margin-bottom: 10px;
  text-align: left;
}

.card-inner-image1,
.card-inner-image2,
.card-inner-image3,
.card-inner-image4,
.card-inner-image5 {
  width: 100%;
  border-radius: 12px;
  overflow: hidden;
  margin-bottom: 1rem;
}

.card img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
  border-radius: 12px;
  user-select: none;
  pointer-events: none;
}

.card-text {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: auto;
}

.card-text .title {
  font-size: 1.1rem;
  font-weight: 600;
  color: #1f2937;
  margin: 0;
}

.search-btn {
  background-color: #000000;
  border: 1px solid transparent;
  padding: 0.5rem 0.8rem;
  color: white;
  font-size: 0.9rem;
  border-radius: 8px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

.search-btn:hover {
  background-color: #ffffff;
  color: rgb(0, 0, 0);
  border: 1px solid grey;
}

.search-btn i {
  margin: 0;
}

.footer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto auto auto;
  gap: 8px;
  width: 100%;
  max-width: 100%;
}

.div1,
.div3,
.div4 {
  background-color: rgb(0, 0, 0);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  color: white;
}
.div2 {
  background-color: #c74441;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  color: white;
  position: relative;
  overflow: hidden;
}

.div1 {
  grid-column: 1;
  grid-row: 1;
  height: 198px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  color: white;
  border-bottom: #434343 1px solid;
}

.div3 {
  grid-column: 1;
  grid-row: 2;
  height: 198px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  color: white;
  border-bottom: #434343 1px solid;
}

.div2 {
  grid-column: 2;
  grid-row: 1 / span 2;
  height: 404px;
}

.div4 {
  grid-column: 1 / span 2;
  grid-row: 3;
  width: 98%;
  height: 117px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
}
.contact-first,
.contact-second {
  text-align: center;
}

.contact-first {
  font-size: 18px;
  font-weight: bold;
  padding-left: 50px;
  margin-bottom: 10px;
}

.contact-second {
  font-size: 16px;
  padding-left: 70px;
  font-weight: bold;
  color: #727272;
}
.social-first {
  font-size: 18px;
  font-weight: bold;
  padding-left: 50px;
  margin-bottom: 20px;
}

.social-links {
  display: flex;
  font-weight: bold;
  padding-left: 70px;
  gap: 100px;
  font-size: 18px;
  justify-content: center;
  color: #727272;
}
.copyright,
.rights {
  font-size: 18px;
  color: white;
}

.footer-logo {
  height: 30px;
  margin: 0 20px;
}

.div4 p,
.footer-logo {
  text-align: center;
  margin: 0;
}
.copyright-sign {
  font-size: 24px;
  margin-right: 5px;
}

.scrolling-text1 {
  position: absolute;
  top: 29%;
  left: 100%;
  transform: translateY(-50%);
  white-space: nowrap;
  font-size: 150px;
  font-weight: bold;
  color: white;
  font-family: "Inter", sans-serif;
  opacity: 0;
  width: max-content;
}

.start-animation1 {
  animation: scrollText1 100s linear infinite;
  opacity: 1;
  transition: opacity 2s ease-in-out;
}

@keyframes scrollText1 {
  from {
    transform: translateX(-0%);
  }
  to {
    transform: translateX(-100%);
  }
}
@media (max-width: 600px) {
  body {
    overflow-x: hidden;
  }
  .footer {
    display: flex;
    flex-direction: column;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto auto auto;
    width: max-content;
    max-width: 100%;
  }
  .div1,
  .div2,
  .div3,
  .div4 {
    width: 100%;
    padding: 0px;
  }
  .social-links {
    display: flex;
    flex-direction: row;
    font-weight: bold;
    padding-left: 70px;
    gap: 20px;
    font-size: 11px;
    justify-content: center;
    color: #727272;
  }
  .contact-second {
    font-size: 11px;
  }
  .copyright,
  .rights {
    font-size: 18px;
    color: white;
  }

  .footer-logo {
    height: 30px;
    margin: 0 20px;
  }
  .copyright-sign,
  .copyright,
  .rights {
    font-size: 14px;
  }
  .navbar {
    width: 97.7%;
    height: 50px;
    padding: 5px;
  }

  h3 {
    font-size: 15px;
  }

  .circle {
    width: 35px;
    height: 35px;
    background-color: white;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    border-radius: 50%;
    transition: background-color 0.3s ease, color 0.3s ease;
  }

  .logo1 {
    width: 70px;
    height: auto;
    user-select: none;
    pointer-events: none;
  }
  .custom-icon {
    font-size: 15px;
  }
  .hamburger {
    display: block;
  }

  #nav-links {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 60.1px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.9);
    padding-bottom: 20px;
    width: 100%;
    text-align: center;
    gap: 30px;
  }

  #nav-links a {
    display: flexboxß;
    padding: 3px 0;
    text-align: center;
    justify-content: center;
    font-size: 15px;
  }

  #nav-links.show {
    display: flex;
    flex-direction: column;
    text-align: center;
  }
  .hero-image img {
    width: 100%;
    height: auto;
    display: block;
    margin-top: 60px;
  }
  .cart-btn {
    display: flex;
    align-items: center;
    background-color: #c74441;
    color: white;
    padding: 10px 15px 10px 15px;
    font-size: 16px;
    font-weight: bold;
    border: none;
    border-radius: 30px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: 110px;
    height: 56px;
    justify-content: space-between;
  }
  .trending-container {
    background-color: #161616;
    padding: 10px;
    text-align: center;
  }

  .trending-title {
    font-family: "Inria Serif", serif;
    font-weight: 700;
    font-size: 32px;
    margin-bottom: 10px;
    margin-top: 2px;
    color: aliceblue;
  }

  .cards-wrapper {
    position: relative;
    top: -30px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 1.5rem;
    padding: 2rem;
    max-width: 2000px;
    margin: 0 0px;
  }
  .cards-scroll-container {
    overflow-x: auto;
    padding: 1rem;
  }

  .cards-wrapper {
    display: flex;
    gap: 1.5rem;
    width: max-content;
  }
}
@media (min-width: 601px) and (max-width: 1024px) {
  .hero-image img {
    width: 100%;
    height: auto;
    display: block;
  }
  .cards-wrapper {
    position: relative;
    top: 10px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    padding: 20px;
    max-width: 2000px;
    margin: 0 auto;
  }

  .card {
    width: 250px;
    height: auto;
    background-color: #ffffff;
    border-radius: 16px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.08);
    padding: 1rem;
    display: flex;
    flex-direction: column;
    transition: transform 0.2s ease;
  }
  .cards-wrapper {
    position: relative;
    top: -30px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 1.5rem;
    padding: 2rem;
    max-width: 2000px;
    margin: 0 auto;
  }
}
